%if 0%{?el7}
%define dist .el7
%endif

%define gitver .git3b62a39

Name:           shine
Version:        3.1.0
Release:        6%{?gitver}%{?dist}
Summary:        Revived shine fixed-point mp3 encoder

Group:          System Environment/Libraries
License:        GPLv2
URL:            https://github.com/savonet/shine
# git clone https://github.com/savonet/shine.git shine-3.1.0
# tar acvf shine-3.1.0.tar.xz shine-3.1.0 --exclude=.git
# cd shine-3.1.0 ; git log -1 --pretty=format:".git%h"
Source0:        %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  autoconf automake libtool

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
hine is a library for encoding mp3 data which is implemented in fixed-point arithmetic.
The library can thus be used to implement super fast mp3 encoding on architectures
without a FPU, such as armel, etc.. In fact, it is also super fast on architectures with a FPU!

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
./bootstrap

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc ChangeLog README.* 
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/shineenc
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/shine.pc

%changelog
* Fri Sep 11 2015 momo-i <webmaster@momo-i.org> - 3.1.0-6.git80bc539
- Update to 80bc539

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 3.1.0-5.git8c8e819
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 3.1.0-4.git8c8e819
- Rebuilt for fc23

* Fri Apr 17 2015 momo-i <webmaster@momo-i.orG> - 3.1.0-3
- Rebuilt for fc22

* Tue Nov 11 2014 momo-i <webmaster@momo-i.org> - 3.1.0-2
- Update to 3.1.0

* Thu Jan 23 2014 momo-i <webmaster@momo-i.org> - 2.0.0-2
- Update git

* Thu Dec  5 2013 momo-i <webmaster@momo-i.org> - 2.0.0-1
- Initial rpm release.
